For the complete documentation index, see llms.txt. This page is also available as Markdown.

Care Plan

APIs for working with patient care plan: overview and goals

Goal tasks list

get

Get list of tasks related to goal

  1. HTTP Request

GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/tasks

2. In our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals/57827fdb-d240-46f9-8e6a-a89441cf8718/tasks

Responses

Code
Description

200

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

goalIdstring · uuidRequired

UUID of the care plan goal

Responses
200

Tasks for this goal

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
get/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/tasks
GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/tasks HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "createdByName": "text",
    "updatedByName": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "name": "text",
    "description": "text",
    "dueDate": "2026-01-01T00:00:00.000Z",
    "status": "TODO",
    "priority": "LOW",
    "patient": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    },
    "assignee": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    },
    "watchers": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      }
    ],
    "comments": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "author": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "enabled": true
        },
        "text": "text",
        "patient": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        },
        "user": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        }
      }
    ],
    "goalId": "123e4567-e89b-12d3-a456-426614174000",
    "templateName": "text",
    "createdType": "AUTOMATION",
    "sourceId": "123e4567-e89b-12d3-a456-426614174000",
    "sourceType": "ASSESSMENT",
    "hiddenPhi": true,
    "watchersType": "POINT_OF_CONTACT"
  }
]

Add Goal task

post

Add custom task to goal

  1. HTTP Request

GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/tasks

2. In our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals/57827fdb-d240-46f9-8e6a-a89441cf8718/tasks

Responses

Code
Description

200

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

goalIdstring · uuidRequired

UUID of the care plan goal

Body
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
Responses
201

Task created under this goal

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
post/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/tasks
POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/tasks HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 776

{
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Goal comments list

get

Get list of comments related to goal

  1. HTTP Request

GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/comments

2. In our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals/57827fdb-d240-46f9-8e6a-a89441cf8718/comments

Responses

Code
Description

200

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

goalIdstring · uuidRequired

UUID of the care plan goal

Responses
200

Comments for this goal

application/json
idstring · uuid · nullableRead-onlyOptional
createdByNamestring · nullableRead-onlyOptional
createdAtstring · date-time · nullableRead-onlyOptional
updatedByNamestring · nullableRead-onlyOptional
updatedAtstring · date-time · nullableRead-onlyOptional
textstringRequired
get/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/comments
GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/comments HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdByName": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedByName": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "text": "text"
  }
]

Add Goal comment

post

Add comment to goal

HTTP Request

POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/comments

in our example it would be:

POST https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals/57827fdb-d240-46f9-8e6a-a89441cf8718/comments

Responses

Code
Description

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

goalIdstring · uuidRequired

UUID of the care plan goal

Body
idstring · uuid · nullableRead-onlyOptional
createdByNamestring · nullableRead-onlyOptional
createdAtstring · date-time · nullableRead-onlyOptional
updatedByNamestring · nullableRead-onlyOptional
updatedAtstring · date-time · nullableRead-onlyOptional
textstringRequired
Responses
201

Comment created on this goal

application/json
idstring · uuid · nullableRead-onlyOptional
createdByNamestring · nullableRead-onlyOptional
createdAtstring · date-time · nullableRead-onlyOptional
updatedByNamestring · nullableRead-onlyOptional
updatedAtstring · date-time · nullableRead-onlyOptional
textstringRequired
post/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/comments
POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}/comments HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "text": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedByName": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "text": "text"
}

Goals list

get

Get goals list without additional entity (tasks, comments), can be filtered by status.

  1. HTTP Request

GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals

2. In our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Query parameters
statusstringOptional

Single status or list

Example: ACTIVE,REMOVED,COMPLETED
pageintegerOptional

Page Index

Default: 0
sizeintegerOptional

Page Size

Default: 20
Responses
200

Paginated list of goals. Note: there is no flat status query param in the backend — filtering by status requires the generic filter mechanism (filters/jsonFilters with fieldsPath=["status"]).

application/json
get/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals
GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "createdAt": "text",
      "updatedByName": "text",
      "updatedAt": "text",
      "name": "text",
      "type": "text",
      "priority": "LOW",
      "status": "ACTIVE",
      "templateName": "text"
    }
  ],
  "metaInfo": {
    "page": 1,
    "pageSize": 1,
    "totalElements": 1,
    "numberOfElements": 1
  }
}

Create Goal

post

Create goal for patient by goal-template

  1. HTTP Request

POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals

2. In our example it would be:

POST https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals

Parameters

Name
Located in
Description
Required
Type

patientId

path

ID of patient

Yes

UUID

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

dto

body

dto

Yes

json

Responses

Code
Description

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Body
goalTemplateNamestringRequired
Responses
201

Goal created

application/json
idstring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
createdAtstringRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstringRead-onlyOptional
namestring · nullableOptional
typestring · nullableOptional
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
templateNamestring · nullableOptional
post/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals
POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "goalTemplateName": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "createdAt": "text",
  "updatedByName": "text",
  "updatedAt": "text",
  "name": "text",
  "type": "text",
  "priority": "LOW",
  "status": "ACTIVE",
  "templateName": "text"
}

Goal details

get

Get extended goal view: details, tasks, comments.

  1. HTTP Request

GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}

2. In our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals/57827fdb-d240-46f9-8e6a-a89441cf8718

Parameters

Name
Located in
Description
Required
Type

patientId

path

ID of patient

Yes

UUID

goalId

path

ID of goal

Yes

UUID

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

goalIdstring · uuidRequired

UUID of the care plan goal

Responses
200

Goal with its tasks and comments

application/json
get/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}
GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "details": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdByName": "text",
    "createdAt": "text",
    "updatedByName": "text",
    "updatedAt": "text",
    "name": "text",
    "type": "text",
    "priority": "LOW",
    "status": "ACTIVE",
    "templateName": "text"
  },
  "tasks": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "updatedByName": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "description": "text",
      "dueDate": "2026-01-01T00:00:00.000Z",
      "status": "TODO",
      "priority": "LOW",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "assignee": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "watchers": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "enabled": true
        }
      ],
      "comments": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "author": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text",
            "enabled": true
          },
          "text": "text",
          "patient": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text"
          },
          "user": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text"
          }
        }
      ],
      "goalId": "123e4567-e89b-12d3-a456-426614174000",
      "templateName": "text",
      "createdType": "AUTOMATION",
      "sourceId": "123e4567-e89b-12d3-a456-426614174000",
      "sourceType": "ASSESSMENT",
      "hiddenPhi": true,
      "watchersType": "POINT_OF_CONTACT"
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedByName": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "text": "text"
    }
  ]
}

Update Goal

patch

Update goal details: name, status, priority.

  1. HTTP Request

PATCH /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}

2. In our example it would be:

PATCH https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/goals/57827fdb-d240-46f9-8e6a-a89441cf8718

Parameters

Name
Located in
Description
Required
Type

patientId

path

ID of patient

Yes

UUID

goalId

path

ID of goal

Yes

UUID

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

dto

body

dto

Yes

json

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

goalIdstring · uuidRequired

UUID of the care plan goal

Body
idstring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
createdAtstringRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstringRead-onlyOptional
namestring · nullableOptional
typestring · nullableOptional
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
templateNamestring · nullableOptional
Responses
200

Updated goal

application/json
idstring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
createdAtstringRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstringRead-onlyOptional
namestring · nullableOptional
typestring · nullableOptional
prioritystring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
templateNamestring · nullableOptional
patch/{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId}
PATCH /{tenantName}/{instanceName}/patients/{patientId}/care-plan/goals/{goalId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "name": "text",
  "type": "text",
  "priority": "LOW",
  "status": "ACTIVE",
  "templateName": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "createdAt": "text",
  "updatedByName": "text",
  "updatedAt": "text",
  "name": "text",
  "type": "text",
  "priority": "LOW",
  "status": "ACTIVE",
  "templateName": "text"
}

Create Patient Overview

post
  1. HTTP Request

POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/overview

2. In our example it would be:

POST https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/overview

Parameters

Name
Located in
Description
Required
Type

patientId

path

ID of patient

Yes

UUID

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

Responses

Code
Description

200

OK

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Body
createdByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
overviewstring · nullableOptional
Responses
201

Patient overview created/updated

application/json
createdByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
overviewstring · nullableOptional
post/{tenantName}/{instanceName}/patients/{patientId}/care-plan/overview
POST /{tenantName}/{instanceName}/patients/{patientId}/care-plan/overview HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "overview": "text"
}
{
  "createdByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedByName": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "overview": "text"
}

Update Patient Overview

put

Update patient overview

  1. HTTP Request

PUT /{tenantName}/{instanceName}/patients/{patientId}/care-plan/overview

2. In our example it would be:

PUT https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan/overview

Parameters

Name
Located in
Description
Required
Type

patientId

path

ID of patient

Yes

UUID

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Body
createdByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
overviewstring · nullableOptional
Responses
200

Patient overview updated

application/json
createdByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedByNamestringRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
overviewstring · nullableOptional
put/{tenantName}/{instanceName}/patients/{patientId}/care-plan/overview
PUT /{tenantName}/{instanceName}/patients/{patientId}/care-plan/overview HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "overview": "text"
}
{
  "createdByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedByName": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "overview": "text"
}

Get Care Plan by patientId

get

Get overview and system fields

  1. HTTP Request

GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan

2. In our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/patients/d6ea79ce-d3d6-4c2d-a27e-e4d1207f60f1/care-plan

Parameters

Name
Located in
Description
Required
Type

patientId

path

ID of patient

Yes

UUID

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
patientIdstring · uuidRequired

UUID of the patient record

Responses
200

Patient care plan

application/json
idstring · uuidOptional
createdByNamestringOptional
createdAtstring · date-timeOptional
updatedByNamestringOptional
updatedAtstring · date-timeOptional
patientIdstring · uuidOptional
get/{tenantName}/{instanceName}/patients/{patientId}/care-plan
GET /{tenantName}/{instanceName}/patients/{patientId}/care-plan HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedByName": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "patientOverview": {
    "createdByName": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedByName": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "overview": "text"
  }
}

Last updated

Was this helpful?